package net.pricefx.lmformulaengine;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.SerializationFeature;
import net.pricefx.logic.core.Utils;
import org.apache.commons.lang3.time.DateFormatUtils;

import java.text.SimpleDateFormat;

public class Util {
    public static ObjectMapper getObjectMapper() {
        //Set date format
        return Utils.getObjectMapper()
                .setDateFormat(new SimpleDateFormat(DateFormatUtils.ISO_DATETIME_FORMAT.getPattern()))
                .disable(SerializationFeature.INDENT_OUTPUT);
    }
}
