package net.pricefx.common.apibuilder.quote;

import java.util.Map;

import net.pricefx.common.api.HeaderPhase;
import net.pricefx.common.apibuilder.IdGenerator;
import net.pricefx.common.apibuilder.Invocations;
import net.pricefx.common.apibuilder.MethodInvocation;

public class QuoteBuilders {

	public static QuoteBuilder newQuoteBuilder(IdGenerator idGenerator, Invocations<MethodInvocation> invocations, Map<String, Object> quoteView, HeaderPhase phase) {
		QuoteBuilder quoteBuilder = new QuoteBuilder(idGenerator.getNext(), "QuoteBuilder", idGenerator, invocations, quoteView, phase);
		return quoteBuilder;
	}
	
}