package net.pricefx.common.apibuilder.rebateagreement;

import net.pricefx.common.api.HeaderPhase;
import net.pricefx.common.apibuilder.IdGenerator;
import net.pricefx.common.apibuilder.Invocations;
import net.pricefx.common.apibuilder.MethodInvocation;
import net.pricefx.common.apibuilder.Methods;
import net.pricefx.common.apibuilder.clicoll.CalculableLineItemCollectionBuilder;

/**
 * Created by petercipov on 22/03/16.
 */

@SuppressWarnings("rawtypes")
public class BasicRebateAgreementBuilder<T extends BasicRebateAgreementBuilder>  extends CalculableLineItemCollectionBuilder<T> {



    public BasicRebateAgreementBuilder(String instanceId, String classId, IdGenerator idGenerator, Invocations<MethodInvocation> invocations,HeaderPhase phase) {
        super(instanceId, classId, idGenerator, invocations, phase);
        this.m = new Methods();
    }

    @Override
    public RebateAgreementBuilderResult build() {
    	addInvocation(METHOD_BUILD);

        RebateAgreementBuilderResult r = new RebateAgreementBuilderResult();
        r.invocations = invocations.get();
        return r;
    }

}
